within FluidDissipation.Examples.Applications.HeatTransfer.BaseClasses.HeatExchanger;
package BaseHeatExchangerHT
  "Base package for all heat transfer functions of a heat exchanger"
  extends FluidDissipation.Utilities.Icons.BaseLibrary;

  replaceable partial function coefficientOfHeatTransfer
    "base function for heat Exchanger"
    extends Modelica.Icons.Function;

    //convective heat transfer coefficient as output
    output SI.CoefficientOfHeatTransfer kc
      "convective heat transfer coefficient";

  end coefficientOfHeatTransfer;

  partial model BaseHeatExchangerModel
    "Base heat transfer model for heat exchanger functions in Modelica.Fluid"

    //icon
    extends FluidDissipation.Utilities.Icons.HeatTransfer.HeatExchanger_i;

    extends BaseClasses.BaseHeatTransferModel;

  end BaseHeatExchangerModel;
end BaseHeatExchangerHT;
